curl -X DELETE "https://api.sayvy.ai/api/v1/quick-replies/c3f81e19-5d22-48a3-bb90-098716b2ef3a" \
-H "Authorization: Bearer <token>"
import requests
url = "https://api.sayvy.ai/api/v1/quick-replies/c3f81e19-5d22-48a3-bb90-098716b2ef3a"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.status_code)
print(response.json())
const response = await fetch("https://api.sayvy.ai/api/v1/quick-replies/c3f81e19-5d22-48a3-bb90-098716b2ef3a", {
method: "DELETE",
headers: {
"Authorization": "Bearer <token>"
}
});
const data = await response.json();
console.log(data);
{
"message": "Quick reply deleted successfully"
}
{
"detail": "Quick reply not found"
}
Quick Replies
Delete quick reply
Permanently delete an existing quick reply snippet and evict cache entries
DELETE
/
api
/
v1
/
quick-replies
/
{quick_reply_id}
curl -X DELETE "https://api.sayvy.ai/api/v1/quick-replies/c3f81e19-5d22-48a3-bb90-098716b2ef3a" \
-H "Authorization: Bearer <token>"
import requests
url = "https://api.sayvy.ai/api/v1/quick-replies/c3f81e19-5d22-48a3-bb90-098716b2ef3a"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.status_code)
print(response.json())
const response = await fetch("https://api.sayvy.ai/api/v1/quick-replies/c3f81e19-5d22-48a3-bb90-098716b2ef3a", {
method: "DELETE",
headers: {
"Authorization": "Bearer <token>"
}
});
const data = await response.json();
console.log(data);
{
"message": "Quick reply deleted successfully"
}
{
"detail": "Quick reply not found"
}
Permanently remove a quick reply snippet from your organization’s library. Deleting a snippet immediately evicts all organization snippet keys from the Redis cache.
Authentication
This endpoint requires Bearer token authentication.Authorization: Bearer <token>
| Header | Type | Required | Description | Format |
|---|---|---|---|---|
Authorization | string | Yes | Scoped organization API key or Bearer JWT token | Bearer <token> |
Path Parameters
string
required
Bearer token for authentication. Format:
Bearer <token>.string
required
Unique UUID identifier of the quick reply to delete.
Response Fields
string
Confirmation message string.
curl -X DELETE "https://api.sayvy.ai/api/v1/quick-replies/c3f81e19-5d22-48a3-bb90-098716b2ef3a" \
-H "Authorization: Bearer <token>"
import requests
url = "https://api.sayvy.ai/api/v1/quick-replies/c3f81e19-5d22-48a3-bb90-098716b2ef3a"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.status_code)
print(response.json())
const response = await fetch("https://api.sayvy.ai/api/v1/quick-replies/c3f81e19-5d22-48a3-bb90-098716b2ef3a", {
method: "DELETE",
headers: {
"Authorization": "Bearer <token>"
}
});
const data = await response.json();
console.log(data);
{
"message": "Quick reply deleted successfully"
}
{
"detail": "Quick reply not found"
}
Was this page helpful?